### File

`packages/components/eui-autocomplete/models/eui-autocomplete-item.model.ts`

### Index

###### Properties
Optional dragAndDropSource Optional euiInternalId Optional iconClass Optional iconSvgName Optional id Optional isDisabled Optional isOutline Optional isRemovable Optional isRounded label Optional metadata Optional sizeClass Optional tooltip Optional typeClass

### Indexable

`[id: string]: `any``

### Properties

dragAndDropSource
`dragAndDropSource: `string``
Type : `string`
Optional

euiInternalId
`euiInternalId: `string``
Type : `string`
Optional

iconClass
`iconClass: `string``
Type : `string`
Optional

iconSvgName
`iconSvgName: `string``
Type : `string`
Optional

id
`id: `string | number``
Type : `string | number`
Optional

isDisabled
`isDisabled: `boolean``
Type : `boolean`
Optional

isOutline
`isOutline: `boolean``
Type : `boolean`
Optional

isRemovable
`isRemovable: `boolean``
Type : `boolean`
Optional

isRounded
`isRounded: `boolean``
Type : `boolean`
Optional

label
`label: `string``
Type : `string`

metadata
`metadata: `METADATA``
Type : `METADATA`
Optional

sizeClass
`sizeClass: `"euiSizeS" | "euiSizeM" | "euiSizeL" | "euiSizeXL" | "euiSize2XL"``
Type : `"euiSizeS" | "euiSizeM" | "euiSizeL" | "euiSizeXL" | "euiSize2XL"`
Optional

tooltip
`tooltip: `EuiChipTooltip``
Type : `EuiChipTooltip`
Optional

typeClass
`typeClass: `"primary" | "secondary" | "info" | "success" | "warning" | "danger" | "accent"``
Type : `"primary" | "secondary" | "info" | "success" | "warning" | "danger" | "accent"`
Optional

# results matching ""

# No results matching ""